Delete Package Version
DELETE https://api.repoflow.io/1/workspaces/<workspace-ref>/repositories/<repository-ref>/packages/<package-id>/versions/<version-id>
Deletes a specific package version. If this is the only version, the package is deleted as well. Files are marked for deletion and the repository size may take time to update. This request cannot be canceled.
This endpoint works for local and remote repositories. For remote repositories, this deletes RepoFlow's indexed version data and cached files; it does not delete the version from the upstream registry.
Minimum Permission: Can manage (repository) • Authentication Not Required
Path Parameters
workspace-refstringRequired
Workspace ID or name.
repository-refstringRequired
Repository ID or name.
package-idstringRequired
Package ID.
version-idstringRequired
Package version ID.